import request from '@/utils/request'

// 查询产品、文章列表
export function listProdNew(query) {
  return request({
    url: '/busi/prod/list',
    method: 'get',
    params: query
  })
}

// 查询产品、文章列表
export function getMaxSort(query) {
  return request({
    url: '/busi/prod/getMaxSort',
    method: 'get',
    params: query
  })
}

// 查询产品、文章详细
export function getProdNew(id) {
  return request({
    url: '/busi/prod/' + id,
    method: 'get'
  })
}

// 新增产品、文章
export function addProdNew(data) {
  return request({
    url: '/busi/prod',
    method: 'post',
    data: data
  })
}

// 修改产品、文章
export function updateProdNew(data) {
  return request({
    url: '/busi/prod',
    method: 'put',
    data: data
  })
}

// 删除产品、文章
export function delProdNew(id) {
  return request({
    url: '/busi/prod/' + id,
    method: 'delete'
  })
}
